function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 21);

T = fin_acc_rbc.static_resid_tt(T, y, x, params);

T(13) = (-(T(10)*(-((1+y(6))*y(14)))/((1+y(4))*y(14)*(1+y(4))*y(14))));
T(14) = 1/y(5)/y(8);
T(15) = exp((-((T(2)-y(8))*(T(2)-y(8))))/2)/2.506628274631;
T(16) = exp((-(T(2)*T(2)))/2)/2.506628274631;
T(17) = (-(T(14)*T(16)));
T(18) = (y(8)*y(8)-T(1))/(y(8)*y(8));
T(19) = (-(T(16)*T(18)));
T(20) = 1/params(14)/(y(8)/params(14));
T(21) = (-(T(10)*(-((1+y(6))*(1+y(4))))/((1+y(4))*y(14)*(1+y(4))*y(14))));

end
