clear all;
oomega=.001:.001:1.4;
%oomega=1.125:.001:1.4;
sp1=1.0073;
sig = 0.2592;
mu =0.2149;
lambdabar = exp(0.01);
for ii=1:length(oomega)
    [ff,G,F,Gamma,Gam_muG,Fprime]=get_entrepreneur_foc_diff_cond_on_sigma(oomega(ii),sig,mu,sp1,lambdabar);
    aff(ii)=ff;
    aG(ii)=G;
    aF(ii)=F;
    aGamma(ii)=Gamma;
    aGam_muG(ii)=Gam_muG;
    aFprime(ii)=Fprime;
end
close all
plot(oomega,aff)

%%
clear all
oomega=.001:.001:1.2;
sig =0.2592;
mu=0.2149;
sp=1.0084;
lambdabar = exp(0.01);
[omega,G,F,Gamma,Gam_muG,Fprime,er] = get_omega_entrepreneur_foc_cond_on_sigma(sigma,mu,sp,lambdabar);

for ii=1:length(oomega)
    omega=oomega(ii);
    z       =   (log(omega)+sig^2/2)/sig;

    %the function G and F defined in the note
    F=logncdf(omega,-sig^2/2,sig);
    G = normcdf(z-sig);

    Gamma   =   G+omega*(1-F);
    Gam_muG =   (1-mu)*G+omega*(1-F);
    Fprime  =   (1/sqrt(2*3.14159265358979))*exp(-z^2/2)/(omega*sig);
    ff(ii) = (1-F)/(1-Gamma) - sp/lambdabar*(1-F-mu*omega*Fprime)/(1-sp/lambdabar*Gam_muG );
    xx(ii)=(1-F-mu*omega*Fprime);
end
close all;
plot(oomega,ff)

%plot(oomega,xx)
%% test 2
clear all
sigma =0.2592;
mu=0.2149;
sp=1.0984;
lambdabar = exp(0.08);
[omega,G,F,Gamma,Gam_muG,Fprime,er] = get_omega_entrepreneur_foc_cond_on_sigma(sigma,mu,sp,lambdabar);
