%% savings cost premium shock
clear all;
close all;
load fin_acc_rbc_results_lam0.mat
K_epslam(:,1) = oo_.irfs.K_epslam;
C_epslam(:,1) = oo_.irfs.C_epslam;
N_epslam(:,1) = oo_.irfs.N_epslam;
GDP_epslam(:,1) = oo_.irfs.GDP_epslam;
I_epslam(:,1) = oo_.irfs.I_epslam;
credit_epslam(:,1) = oo_.irfs.credit_epslam;

omegabar_epslam(:,1) = oo_.irfs.omegabar_epslam;
Default_rate_epslam(:,1) = oo_.irfs.Default_rate_epslam;
wedge_epslam(:,1) = oo_.irfs.wedge_epslam;
Interest_spread_epslam(:,1) = oo_.irfs.Interest_spread_epslam;
R_epslam(:,1) = oo_.irfs.R_epslam;
Rk_epslam(:,1) = oo_.irfs.Rk_epslam;


load fin_acc_rbc_results_lam8.mat
K_epslam(:,2) = oo_.irfs.K_epslam;
C_epslam(:,2) = oo_.irfs.C_epslam;
N_epslam(:,2) = oo_.irfs.N_epslam;
GDP_epslam(:,2) = oo_.irfs.GDP_epslam;
I_epslam(:,2) = oo_.irfs.I_epslam;
credit_epslam(:,2) = oo_.irfs.credit_epslam;

omegabar_epslam(:,2) = oo_.irfs.omegabar_epslam;
Default_rate_epslam(:,2) = oo_.irfs.Default_rate_epslam;
wedge_epslam(:,2) = oo_.irfs.wedge_epslam;
Interest_spread_epslam(:,2) = oo_.irfs.Interest_spread_epslam;
R_epslam(:,2) = oo_.irfs.R_epslam;
Rk_epslam(:,2) = oo_.irfs.Rk_epslam;

T = 1:1:20;
figure;
subplot(3,2,1)
plot(T,K_epslam(:,1)','-bo',T,K_epslam(:,2)','-rx')
title('Capital')
legend('\lambda = 0', '\lambda = R*100%');

subplot(3,2,2)
plot(T,C_epslam(:,1)','-bo',T,C_epslam(:,2)','-rx')
title('Consumption')

subplot(3,2,3)
plot(T,N_epslam(:,1)','-bo',T,N_epslam(:,2)','-rx')
title('Net Worth')

subplot(3,2,4)
plot(T,GDP_epslam(:,1)','-bo',T,GDP_epslam(:,2)','-rx')
title('GDP')

subplot(3,2,5)
plot(T,I_epslam(:,1)','-bo',T,I_epslam(:,2)','-rx')
title('Investment')

subplot(3,2,6)
plot(T,credit_epslam(:,1)','-bo',T,credit_epslam(:,2)','-rx')
title('Credit ')

figure;
subplot(3,2,1)
plot(T,R_epslam(:,1)','-bo',T,R_epslam(:,2)','-rx')
title('Riskfree Rate')
legend('\lambda = 0', '\lambda = R*100%');

subplot(3,2,2)
plot(T,Rk_epslam(:,1)','-bo',T,Rk_epslam(:,2)','-rx')
title('Capital Rental Rate')

subplot(3,2,3)
plot(T,Interest_spread_epslam(:,1)','-bo',T,Interest_spread_epslam(:,2)','-rx')
title('Interest spread')

subplot(3,2,4)
plot(T,omegabar_epslam(:,1)','-bo',T,omegabar_epslam(:,2)','-rx')
title('\omega bar')

subplot(3,2,5)
plot(T,Default_rate_epslam(:,1)','-bo',T,Default_rate_epslam(:,2)','-rx')
title('Default Rate')

subplot(3,2,6)
plot(T,wedge_epslam(:,1)','-bo',T,wedge_epslam(:,2)','-rx')
title('Financial Wedge ')


%% risk shock 

clear all;
%close all;
load fin_acc_rbc_results_lam0.mat
K_sigma_e(:,1) = oo_.irfs.K_sigma_e;
C_sigma_e(:,1) = oo_.irfs.C_sigma_e;
N_sigma_e(:,1) = oo_.irfs.N_sigma_e;
GDP_sigma_e(:,1) = oo_.irfs.GDP_sigma_e;
I_sigma_e(:,1) = oo_.irfs.I_sigma_e;
credit_sigma_e(:,1) = oo_.irfs.credit_sigma_e;

omegabar_sigma_e(:,1) = oo_.irfs.omegabar_sigma_e;
Default_rate_sigma_e(:,1) = oo_.irfs.Default_rate_sigma_e;
wedge_sigma_e(:,1) = oo_.irfs.wedge_sigma_e;
Interest_spread_sigma_e(:,1) = oo_.irfs.Interest_spread_sigma_e;
R_sigma_e(:,1) = oo_.irfs.R_sigma_e;
Rk_sigma_e(:,1) = oo_.irfs.Rk_sigma_e;


load fin_acc_rbc_results_lam8.mat
K_sigma_e(:,2) = oo_.irfs.K_sigma_e;
C_sigma_e(:,2) = oo_.irfs.C_sigma_e;
N_sigma_e(:,2) = oo_.irfs.N_sigma_e;
GDP_sigma_e(:,2) = oo_.irfs.GDP_sigma_e;
I_sigma_e(:,2) = oo_.irfs.I_sigma_e;
credit_sigma_e(:,2) = oo_.irfs.credit_sigma_e;

omegabar_sigma_e(:,2) = oo_.irfs.omegabar_sigma_e;
Default_rate_sigma_e(:,2) = oo_.irfs.Default_rate_sigma_e;
wedge_sigma_e(:,2) = oo_.irfs.wedge_sigma_e;
Interest_spread_sigma_e(:,2) = oo_.irfs.Interest_spread_sigma_e;
R_sigma_e(:,2) = oo_.irfs.R_sigma_e;
Rk_sigma_e(:,2) = oo_.irfs.Rk_sigma_e;

T = 1:1:20;
figure;
subplot(3,2,1)
plot(T,K_sigma_e(:,1)','-bo',T,K_sigma_e(:,2)','-rx')
title('Capital')
legend('\lambda = 0', '\lambda = R*100%');

subplot(3,2,2)
plot(T,C_sigma_e(:,1)','-bo',T,C_sigma_e(:,2)','-rx')
title('Consumption')

subplot(3,2,3)
plot(T,N_sigma_e(:,1)','-bo',T,N_sigma_e(:,2)','-rx')
title('Net Worth')

subplot(3,2,4)
plot(T,GDP_sigma_e(:,1)','-bo',T,GDP_sigma_e(:,2)','-rx')
title('GDP')

subplot(3,2,5)
plot(T,I_sigma_e(:,1)','-bo',T,I_sigma_e(:,2)','-rx')
title('Investment')

subplot(3,2,6)
plot(T,credit_sigma_e(:,1)','-bo',T,credit_sigma_e(:,2)','-rx')
title('Credit ')

figure;
subplot(3,2,1)
plot(T,R_sigma_e(:,1)','-bo',T,R_sigma_e(:,2)','-rx')
title('Riskfree Rate')
legend('\lambda = 0', '\lambda = R*100%');

subplot(3,2,2)
plot(T,Rk_sigma_e(:,1)','-bo',T,Rk_sigma_e(:,2)','-rx')
title('Capital Rental Rate')

subplot(3,2,3)
plot(T,Interest_spread_sigma_e(:,1)','-bo',T,Interest_spread_sigma_e(:,2)','-rx')
title('Interest spread')

subplot(3,2,4)
plot(T,omegabar_sigma_e(:,1)','-bo',T,omegabar_sigma_e(:,2)','-rx')
title('\omega bar')

subplot(3,2,5)
plot(T,Default_rate_sigma_e(:,1)','-bo',T,Default_rate_sigma_e(:,2)','-rx')
title('Default Rate')

subplot(3,2,6)
plot(T,wedge_sigma_e(:,1)','-bo',T,wedge_sigma_e(:,2)','-rx')
title('Financial Wedge ')